Subject: Re: Problem with an rpm...
From: [email-masked] Mon Sep 9 18:02:18 2002
To: [email-masked]
Date: Tue, 05 Feb 2002 15:06:28 +0100
List-Id: Freshrpms RPM discussion list <rpm-zzzlist.freshrpms.net>

Mark Derricutt wrote:
> Hiya, I just myself an rpm, and when I did -Uvh to upgrade the earlier 
> version I had installed (also from my rpm) I got:
> 
> [root@spawn i386]# rpm -Uvh mulberry-2.2-b1.i386.rpm
> Preparing...                ########################################### 
> [100%]
>   1:mulberry               ########################################### 
> [100%]
> error: db3 error(-30998) from db->close: DB_INCOMPLETE: Cache flush was 
> unable to complete

It's not the rpm, it's the rpm-system with you. The cache seems to have 
rottened. Try removing /var/lib/rpm/__db*

_______________________________________________
RPM-List mailing list <[email-masked]>
http://lists.freshrpms.net/mailman/listinfo/rpm-list